'use strict';

exports.__esModule = true;

var _transitions = require('./transitions');

var _transitions2 = _interopRequireDefault(_transitions);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function createMuiTheme() {
  return {
    breakpoints: {},
    direction: 'ltr',
    mixins: {},
    overrides: {}, // Inject custom styles
    palette: {},
    props: {}, // Inject custom properties
    shadows: {},
    typography: {},
    spacing: {},
    shape: {},
    transitions: _transitions2.default,
    zIndex: {}
  };
}

exports.default = createMuiTheme;
module.exports = exports['default'];