'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = createMixins;
// import warning from 'warning';

function createMixins(breakpoints, spacing, mixins) {
  var _toolbar;

  return _extends({
    gutters: function gutters() {
      var _extends2;

      var styles = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

      // To deprecate in v4.1
      //       warning(
      //         false,
      //         [
      //           'Material-UI: theme.mixins.gutters() is deprecated.',
      //           'You can use the source of the mixin directly:',
      //           `
      // paddingLeft: theme.spacing(2),
      // paddingRight: theme.spacing(2),
      // [theme.breakpoints.up('sm')]: {
      //   paddingLeft: theme.spacing(3),
      //   paddingRight: theme.spacing(3),
      // },
      // `,
      //         ].join('\n'),
      //       );

      return _extends({
        paddingLeft: spacing(2),
        paddingRight: spacing(2)
      }, styles, (_extends2 = {}, _extends2[breakpoints.up('sm')] = _extends({
        paddingLeft: spacing(3),
        paddingRight: spacing(3)
      }, styles[breakpoints.up('sm')]), _extends2));
    },
    toolbar: (_toolbar = {
      minHeight: 56
    }, _toolbar[breakpoints.up('xs') + ' and (orientation: landscape)'] = {
      minHeight: 48
    }, _toolbar[breakpoints.up('sm')] = {
      minHeight: 64
    }, _toolbar)
  }, mixins);
}
module.exports = exports['default'];