'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _styles = require('@material-ui/styles');

var _defaultTheme = require('./defaultTheme');

var _defaultTheme2 = _interopRequireDefault(_defaultTheme);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var styled = function styled(Component) {
  var componentCreator = (0, _styles.styled)(Component);

  return function (style, options) {
    return componentCreator(style, _extends({
      defaultTheme: _defaultTheme2.default
    }, options));
  };
};

exports.default = styled;
module.exports = exports['default'];